@ECHO OFF
REM This is an example of how to use a batch file to easily
REM convert many Word Pro files from WP96 to WP97 format.
REM This batch file takes one parameter, a directory, and
REM converts all the Word Pro files (*.MWP, *.LWP) in that
REM directory.  It will overwrite the existing files, so you
REM may want to backup those files first.
REM 
REM One could change the Word Pro options in the FOR statements
REM below to resave in WP96 format, or to specify a different
REM directory and file to save to, instead of overwriting the 
REM existing file.  See the file convert.txt for details.

IF "%1"=="" GOTO USAGE
IF NOT EXIST %1\*.* GOTO BADDIR

ECHO This batch file will convert all the Word Pro files in %1
ECHO from WP96 to WP97 format and overwrite the existing files.
ECHO You may want to backup those files before continuing.
ECHO.
CHOICE Continue
IF ERRORLEVEL 2 GOTO END

IF NOT EXIST %1\*.LWP GOTO NOLWP
FOR %%F IN (%1\*.LWP) DO START /W WORDPRO /F %%F /KO %%F
:NOLWP

IF NOT EXIST %1\*.MWP GOTO NOMWP
FOR %%F IN (%1\*.MWP) DO START /W WORDPRO /F %%F /KO %%F
:NOMWP
GOTO END

:USAGE
ECHO Usage: wp96to97 dirname
ECHO Converts all files in dirname to WP97 format and overwrites
ECHO the existing files with the new ones.
ECHO.
GOTO END

:BADDIR
ECHO Invalid path, not a directory, or directory empty
ECHO.
GOTO END

:END
